echo "This script will install ppds (CreativePeach pheripherals driver service) to your system"
echo "Do you want to continue? (y/n)"
read c
if test $c = "y"
then
  mkdir /etc/ppds
  cp exeandcfg/ppdsconf.xml /etc/ppds
  echo "Choose your platform"
  echo "1.) I386 Ubuntu on Desktop PCs, Notebooks and Virtual machines"
  echo "2.) Raspberry-PI with original Debian"
  echo "3.) Dreamplug with original Debian"
  echo "4.) Dreamplug and Sheevaplug with Ubuntu 9.04"
  read ch
  case $ch in
    1) location='i386ub';;
    2) location='rpi';;
    3) location='armdeb';;
    4) location='armub';;
  esac   
  cp exeandcfg/$location/ppds /usr/sbin
  cp initscript/ppds /etc/init.d
  echo "The ppds driver has installed. Set it's autostart at boot"
  update-rc.d ppds start 80 2 3 4 5 . stop 80 0 1 6 .
  echo "Start ppds service"
  /etc/init.d/ppds start
  sleep 2
  /etc/init.d/ppds status
  echo "Enjoy it!"
fi  
